const promise = require('bluebird')
const dateHelper = require('../../utils/dateHelper')
const db = require('../../utils/db')
const config = require('../../utils/config')

class CategoryHelper {
    async getCategoryList(body) {

        try {
            const image_path = config.IMAGE_BASE_PATH + 'category/';
            let selectParams = '*, concat("' + image_path + '", image) as image ';
            let data = await db.select('category', selectParams, '');
            return { data };
        } catch (error) {
            return promise.reject(error)
        }
    }
}

module.exports = new CategoryHelper()