const promise = require('bluebird')
const dateHelper = require('../../utils/dateHelper')
const db = require('../../utils/db')
const config = require('../../utils/config')

class VideoHelper {

    async getRecipeDetail(section_detail, user_id = 0) {
        try {

            await Promise.all(section_detail.map(async (row) => {

                row.is_favorite = 0;
                row.rating = 0;
                row.chef_name = '';
                let where = ` 1=1 AND recipe_id= '${row.id}' AND  user_id='${user_id}'`;
                // check is is_favorite  
                let bookmark = await db.getById('favorites', 'id', where);
                if (bookmark.id) {
                    row.is_favorite = 1;
                }

                let ratingWhere = ` 1=1 AND recipe_id= '${row.id}'`;
                // check is is_favorite  
                let ratingResult = await db.getById('rating', 'avg(ratings) as rating', ratingWhere);
                if (ratingResult.rating) {
                    row.rating = ratingResult.rating;
                }

                // check is is_favorite  
                let chefWhere = ` 1=1 AND id='${row.chef_id}'`;
                let chef = await db.getById('user', 'id,name', chefWhere);
                if (chef.id) {

                    row.chef_name = chef.name;
                }
            }));

            return section_detail;
        } catch (error) {
            return promise.reject(error)
        }
    }
}

module.exports = new VideoHelper()